Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512398 - Dropdown element selection is not mandatory even when the "Required" parameter is turned ON
Summary: Dropdown element selection is not mandatory even when the "Required" paramete...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Chris Hale
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1521065
TreeView+ depends on / blocked
 
Reported: 2017-11-13 06:23 UTC by Shveta
Modified: 2018-06-21 20:52 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1521065 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:52:31 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shveta 2017-11-13 06:23:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.8.20171109215303_ed87902 

How reproducible:


Steps to Reproduce:
1. Create a dialog with some entries and "required" button turned ON.
2. Create a catalog item that uses this dialog.
3. When we order that catalog item the order is submitted without selecting any item in the dropdown.

Actual results:


Expected results: Validation message should be shown to select atleast one element.


Additional info:

Comment 2 Chris Hale 2017-12-05 15:58:50 UTC
GH PR https://github.com/ManageIQ/ui-components/pull/204


Note You need to log in before you can comment on or make changes to this bug.